Register a Generic CRM integration (/v2/crm/integrations)

Prev Next
Put
/v2/crm/integrations

Creates your CRM integration with Gong. Returns an integrationId, which should be used in requests to the CRM API to enable correct association of CRM data.

Multiple CRM integrations are not supported. To create a new integration, delete the old one first (DELETE /v2/crm/integrations).

This includes if you have integrated with Gong using one of the native CRM integrations such as HubSpot or Salesforce.

Required authorization scope: 'api:crm:integration:register'.

Body parameters
object
ownerEmail
string Required

Email address of the person responsible for the integration

Examplejoe.doe@acme.com
name
string Required

The name of the integration

ExampleACME Sandbox
Responses
200

Successful response

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
integrationId
integer (int64)
Your integration ID to be used in requests to the API. This ensures you are accessing the correct integration.
Note: Parse the integrationId as Long or BigInt. Parsing the integrationId as an Integer will truncate the integrationId to trailing zeros and will return an incorrect ID.
Example5517027188234206000
400

Malformed request

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
401

Access denied

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
409

Conflict - An active integration already exists.

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
500

Failed to complete the operation due to an unexpected error

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string